const Mock = require('mockjs')

const List = []
const count = 100

for (let i = 0; i < count; i++) {
  List.push(Mock.mock({
    id: '@increment',
    name: '@ctitle(3, 5)',
    introduce: '@cparagraph(1, 3)',
    remark: '@cparagraph(1, 3)',
    createdBy: '@cname',
    createDated: +Mock.Random.date('T')
  }))
}

module.exports = [
  {
    url: '/vue-element-admin/elec-comp/list',
    type: 'get',
    response: config => {
      const { name, page = 1, limit = 20, sort } = config.query
      console.info(config.query)
      let mockList = List.filter(item => {
        if (name && item.name.indexOf(name) < 0) return false
        return true
      })

      if (sort === '-id') {
        mockList = mockList.reverse()
      }

      const pageList = mockList.filter((item, index) => index < limit * page && index >= limit * (page - 1))
      return {
        code: 20000,
        data: {
          total: mockList.length,
          items: pageList
        }
      }
    }
  },
  {
    url: '/vue-element-admin/elec-comp/create',
    type: 'post',
    response: _ => {
      return {
        code: 20000,
        data: 'success'
      }
    }
  },

  {
    url: '/vue-element-admin/elec-comp/update',
    type: 'post',
    response: _ => {
      return {
        code: 20000,
        data: 'success'
      }
    }
  }
]
