### 一级目录：元器件管理

**User Story:**

​	**作为**基础数据管理员，

​	**我想**把元器件的所有信息进行维护管理，

​	**以便**采购员查看及推荐系统进行推荐的基础数据

**二级目录：元器件大类管理**

​	id 名称，介绍，说明

**二级目录：元器件小类管理**

​	id 名称，介绍，说明

**二级目录：元器件参数管理**

​	id、元器件小类id, 名称，排序

**二级目录：元器件管理**

​	id、名称，元器件型号，介绍，厂商、是否优选、是否GCTD

**二级目录：元器件明细管理**

​	id，元器件id，参数值

**二级目录：元器件历史质量信息**

​	id，元器件id，质量信息。。。

### 一级目录：元器件推荐

**User Story:**

​	**作为**元器件采购员，

​	**我希望**能根据型号，进行智能推荐元器件

​	**以便**对元器件的质量等进行排序后，作为采购的一个依据

页面整体风格参考https://www.ti.com.cn/zh-cn/amplifier-circuit/instrumentation/products.html

1. 选择元器件大类

2. 选择元器件小类

3. 推荐

   输入元器件型号，或其他参数

   进行推荐结果输出，结果列表如下

   1. 优选目录中的元器件信息（按钮1，查看详细信息；按钮2查看历史质量信息）
   2. GCTD目录中的元器件信息（按钮1，查看详细信息；按钮2查看历史质量信息）
   3. 非优选，非GCTD元器件信息（按钮1，查看详细信息；按钮2查看历史质量信息）

   例如

   | 元器件名称 | 型号 | 是否优选 | 是否GCTD | 厂商 | 查看详情 | 查看历史质量信息 |
   | ---------- | ---- | -------- | -------- | ---- | -------- | ---------------- |
   | 元器件A    | 9527 | 是       | 否       | xxx  | 按钮1    | 按钮2            |
   | 元器件B    | 9527 | 是       | 否       | yyy  | 按钮1    | 按钮2            |
   | 元器件C    | 9527 | 否       | 是       | zzz  | 按钮1    | 按钮2            |
   | 元器件D    | 9527 | 否       | 否       | aaa  | 按钮1    | 按钮2            |
   | 元器件E    | 9527 | 否       | 否       | bbb  | 按钮1    | 按钮2            |

   ### 一级目录：后台记录

   **二级目录：评分管理**

   **User Story:**

   ​	**作为**数据管理员，

   ​	**我想**记录每次用户对推荐结果的评价，

   ​	**以便**反馈给推荐系统，优化推荐系统

   字段：id，用户id，用户输入，元器件id，评分
   
   **二级目录：用户行为记录**
   
   **User Story:**
   
   ​	**作为**数据管理员，
   
   ​	**我想**记录每次用户对推荐结果的行为记录，
   
   ​	**以便**反馈给推荐系统，优化推荐系统
   
   字段：id, 用户id，用户输入，元器件id，查看起始时间，查看退出时间，查看总时长
   
   ### 一级目录：数据管理
   
   **二级目录：评价管理**
   
   us:
   
   ​	**作为**数据管理员，
   
   ​	**我希望**管理一些评价的数据，包括问卷调查、打分表、常稳报告等，
   
   ​	**以便**推荐模型进行推荐时的数据依据
   
   1. 字段：id，元器件名称，厂商，评价文档名称，文档类型，上传下载
   
   2. 文档类型包括：问卷，打分表、常稳报告
   
   **二级目录：数据标注管理**（上传下载）
   
   us：
   
   ​	**作为**设计师和专家，
   
   ​	**我希望**能对元器件数据进行标注，并把标注结果进行管理，
   
   ​	**以便**通过标注结果对模型进行有监督训练。
   
   字段：id,标注名称，标注结果
