import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/vue-element-admin/elec-comp/list',
    method: 'get',
    params: query
  })
}

export function createElecComp(data) {
  return request({
    url: '/vue-element-admin/elec-comp/create',
    method: 'post',
    data
  })
}

export function updateEleComp(data) {
  return request({
    url: '/vue-element-admin/elec-comp/update',
    method: 'post',
    data
  })
}
